/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package modelo;

import java.util.ArrayList;

/**
 *
 * @author Carlos
 */
public class Organizacion {
    private String Nombre;
    private String Direccion;
    private String Telefono;
    private String Fax;
    static int n_instancia=-1;
    private int numero_id;
    private ArrayList<Participante> Participantes=new ArrayList();//(solo los Muestra)

    /**
     * @return the Nombre
     */
    public Organizacion(){
        n_instancia++;
        numero_id=n_instancia;
    }

    public String getNombre() {
        return Nombre;
    }

    public Participante newParticipante( String Nombre, String Rol,/* jcbxOrganizacion.get*/ boolean esDesarrollador, boolean esCliente, boolean esUsuario) {
            //// Creo la instancia
            Participante auxPar=new Participante();
            //// Asigno los valores a los atributos
            auxPar.setNombre(Nombre);
            auxPar.setRol(Rol);
            auxPar.setEsDesarrollador(esDesarrollador);
            auxPar.setEsCliente(esCliente);
            auxPar.setEsUsuario(esUsuario);
            //// Enlazo el CasodeUso a la lista de CU que tiene el documento
            this.getParticipantes().add(auxPar);
            return auxPar;
    }
    
    

    /**
     * @param Nombre the Nombre to set
     */
    public void setNombre(String Nombre) {
        this.Nombre = Nombre;
    }


    /**
     * @return the Fax
     */
    public String getFax() {
        return Fax;
    }

    /**
     * @param Fax the Fax to set
     */
    public void setFax(String Fax) {
        this.Fax = Fax;
    }

    /**
     * @return the Participantes
     */
    public ArrayList<Participante> getParticipantes() {
        return Participantes;
    }

    /**
     * @param Participantes the Participantes to set
     */
    public void setParticipantes(ArrayList<Participante> Participantes) {
        this.Participantes = Participantes;
    }

    /**
     * @return the numero_id
     */
    public int getNumero_id() {
        return numero_id;
    }

    /**
     * @return the Direccion
     */
    public String getDireccion() {
        return Direccion;
    }

    /**
     * @param Direccion the Direccion to set
     */
    public void setDireccion(String Direccion) {
        this.Direccion = Direccion;
    }

    /**
     * @return the Telefono
     */
    public String getTelefono() {
        return Telefono;
    }

    /**
     * @param Telefono the Telefono to set
     */
    public void setTelefono(String Telefono) {
        this.Telefono = Telefono;
    }


}
